TYPO3.Flow - Bug # 31502

Status: Resolved Priority: Must have

Author: Karsten Dambekalns Category: Validation

Created: 2011-11-02 Assigned To: Karsten Dambekalns
Updated: 2011-12-19 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: FLOW3 1.0.0

Subject: Validation during persistence got lost in Doctrine addition

Description

When Doctrine 2 was introduced our own persistence backend was removed - but it was the place where validation upon persistence
was invoked. This was not discovered as there was no test covering this and argument validation is still working.

Related issues:

related to TYPOS.Flow - Feature # 31373: Annotation to enforce validation on ...
related to TYPOS3.Flow - Bug # 32830: Validation on persist breaks with Doctri...

Rejected 2011-10-28
Resolved 2011-12-24

Associated revisions

Revision ¢87¢cc007 - 2011-11-29 21:56 - Karsten Dambekalns

[TASK] Move ObjectValidationFailedException out of Generic

The exception is not specific to generic persistence, thus it should
not be inside the Generic namespace.

Change-Id: 10651e3fcf361bb0dd50b2a6e3f02e494d075e27f

Related: #31502

Releases: 1.0, 1.1

Revision b809a395 - 2011-11-29 21:56 - Karsten Dambekalns

[BUGFIX] Make validation upon persistence work again

The validation upon persistence was dropped (more or less by accident)
when we switched to Doctrine. This change brings it back.

In addition it fixes the exception message produced in the generic
AbstractBackend when validation fails.

Change-Id: Ifb4dd252a490c0999a211867a5665a9ch6529796

Fixes: #31502

Releases: 1.0, 1.1

Revision a8e6d8e2 - 2011-12-07 16:56 - Karsten Dambekalns

[TASK] Move ObjectValidationFailedException out of Generic
The exception is not specific to generic persistence, thus it should

not be inside the Generic namespace.

Change-Id: Ifa4d572a74c3f01837d18d5eed29e1d51b282075

Related: #31502

Releases: 1.0, 1.1

Revision 3522f1b2 - 2011-12-19 22:03 - Karsten Dambekalns

[BUGFIX] Make validation upon persistence work again

The validation upon persistence was dropped (more or less by accident)
when we switched to Doctrine. This change brings it back.

In addition it fixes the exception message produced in the generic

AbstractBackend when validation fails.
Change-Id: [f23af21f8cc148012a24acb15aab1d83ddb2af74

Fixes: #31502
Releases: 1.0, 1.1

History

#1 - 2011-11-22 12:48 - Karsten Dambekalns

- Target version changed from 1.0.1 to 1.0.2

#2 - 2011-11-29 21:57 - Mr. Jenkins

Patch set 1 of change Ifb4dd252a490c0999a211867a5665a9cb6529796 has been pushed to the review server.

It is available at http://review.typo3.0rg/6988

#3 - 2011-11-29 21:57 - Karsten Dambekalns

- Status changed from Accepted to Under Review

#4 - 2011-12-07 10:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b809a3951f44558eb44989008ae8bab528ca5852.

#5 - 2011-12-07 16:57 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http:/review.typo3.org/7142

#6 - 2011-12-19 22:08 - Gerrit Code Review
http://review.typo3.org/6988
http://review.typo3.org/7142

Patch set 2 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7142

#7 - 2011-12-19 22:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:3522f1b264b022a5fabc2dc9c7a05a82c88b5d67.
